<?php
namespace Controleur;
use Model\QuoteModel;
use Gateway\Connection;
use Gateway\QuoteGateway;

Class VisitorControler{

    private QuoteModel $qMod;
    
    public function __construct(){
        global $co;
        $this->qMod = new QuoteModel(new QuoteGateway($co));
    }

    public function accueil(){
        global $vues;
        require_once $vues['accueil'];
    }

    public function quote(array $arg){
        global $vues;
        $id=$arg['idQuote'] ?? 1;
        $q = $this->qMod->searchId($id);
        //echo "{$id}"; 
        require_once $vues['quote'];
    }

    public function login(){
        
        global $vues;
        require_once $vues['login'];
    }

    public function signin(){
        
        global $vues;
        require_once $vues['signin'];
    }
}
